#updated 20221221
#oag3pScummVM.ps1

function Get-ScummVMFriendlyPlatformName([parameter(mandatory)][string]$sPlatformName,[parameter()][bool]$bInvert = $false) {
#purpose: convert platform name from Playnite to ScummVM (or vice versa)
#updated 20220512
# Notes:
# Allowed values: 2gs,3do, acorn, amiga, atari, c64, fmtowns, nes,mac, pc, pc98, pce, segacd, wii, windows
# above information is outdated. add 'playstation'
# Do not convert scummvm 'pc' to Playnite 'PC' - this is incorrect. This is probably DOS but use the scummvm description instead

	$sFriendlyPlatform = ''

	if ($bInvert -eq $false) {
		$sFriendlyPlatform = switch ($sPlatformName) {
			'3DO Interactive Multiplayer' {'3do'}
			'Commodore 64' {'c64'}
			'Commodore Amiga' {'amiga'}
			'NEC PC-9801' {'pc98'}
			'NEC TurboGrafx 16' {'pce'}
			'Nintendo Entertainment System' {'nes'}
			'Nintendo Wii' {'wii'}
			'PC' {'windows'}
			'Sega CD' {'segacd'}
			'Sony PlayStation' {'playstation'}
		}
	} else {
		$sFriendlyPlatform = switch ($sPlatformName) {
			'2gs' {''} # PLATFORM NOT ASSIGNED YET
			'3do' {'3DO Interactive Multiplayer'}
			'acorn' {''} # PLATFORM NOT ASSIGNED YET
			'amiga' {'Commodore Amiga'}
			'atari' {''} # PLATFORM NOT ASSIGNED YET
			'c64' {'Commodore 64'}
			'fmtowns' {''} # PLATFORM NOT ASSIGNED YET
			'mac' {''} # PLATFORM NOT ASSIGNED YET
			'nes' {'Nintendo Entertainment System'}
			'pc' {''} # probably DOS but can not rely on. do not use.
			'pc98' {'NEC PC-9801'}
			'pce' {'NEC TurboGrafx 16'}
			'playstation' {'Sony PlayStation'}
			'segacd' {'Sega CD'}
			'wii' {'Nintendo Wii'}
			'windows' {'PC'}
		}
	}

	return $sFriendlyPlatform
}