#updated 20220812
#oagPlayniteEmu.ps1

#oagPnDbGetEmu.ps1

function Get-PathEmulatorFromPlaynite([string]$sEmulatorName) {
#updated 20211103
	[string]$sMsg = ''
	[string]$sResult = ''

	if (!$sEmulatorName) {
		$sMsg = "Argument has not been set for 'Get-PathEmulatorFromPlaynite'"
		$__logger.Error($sMsg)
		return
	}

	$playniteEmulator = $PlayniteApi.Database.Emulators | Where { $_.Name -eq $sEmulatorName } | Select-Object -First 1
	if (!$playniteEmulator) {
		$sMsg = "$sEmulatorName not detected. Import the emulator into Playnite (Ctrl + T)"
		$__logger.Error($sMsg)
		$null = $PlayniteApi.Dialogs.ShowMessage($sMsg)
		return
	}

	$sResult = $($playniteEmulator.Profiles[0].Executable)
	if (!$sResult) {
		$sMsg = "No executable recorded for $sEmulatorName in Playnite. Correct the emulator configuration in Playnite (Ctrl + T)"
		$__logger.Error($sMsg)
		$null = $PlayniteApi.Dialogs.ShowMessage($sMsg)
		return
	}
	if (![System.IO.File]::Exists($sResult)) {
		$sMsg = "Invalid path for $sEmulatorName executable ($sResult). Correct the emulator configuration in Playnite (Ctrl + T)"
		$null = $PlayniteApi.Dialogs.ShowMessage($sMsg)
		return
	}

	$sResult = $sResult.replace("$sEmulatorName.exe",'').replace("$($sEmulatorName.ToLower()).exe",'')

	return $sResult
}